Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Interface WLConnection

All Superinterfaces:
  Connection, QueueConnection, TopicConnection

    public interface WLConnection

extends QueueConnection, TopicConnection, Connection

A WLConnection provides fields and methods that are not supported by javax.jms.Connection.

See Also:
  `Connection`, `QueueConnection`, `TopicConnection`

Method Summary
`long` | `getReconnectBlockingMillis()` Gets the maximum length of time that any synchronous JMS calls will block the calling thread before giving up on a JMS client reconnect in progress.
`String` | `getReconnectPolicy()` Gets the JMS client reconnection policy after a lost network connection with a server or upon a server reboot.
`long` | `getTotalReconnectPeriodMillis()` Gets the maximum length of time that JMS client operations will continue to try to reconnect to the server.
`void` | `setReconnectBlockingMillis(long timeout)` Sets the maximum length of time that any synchronous JMS calls, such as a `producer.send()`, `consumer.receive()`, or `session.createBrowser()`, will block the calling thread before giving up on a JMS client reconnect in progress.
`void` | `setReconnectPolicy(String reconnectPolicy)` Sets the JMS client reconnection policy after a lost network connection with a server or upon a server reboot.
`void` | `setTotalReconnectPeriodMillis(long timeout)` Sets the maximum length of time that JMS client operations will continue to try to reconnect to the server after either the initial network disconnect or the last synchronous call attempt, whichever occurred most recently, before giving up retrying.

Methods inherited from interface javax.jms.QueueConnection
`createConnectionConsumer, createQueueSession`

Methods inherited from interface javax.jms.Connection
`close, createConnectionConsumer, createSession, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

Methods inherited from interface javax.jms.TopicConnection
`createConnectionConsumer, createDurableConnectionConsumer, createTopicSession`

Methods inherited from interface javax.jms.Connection
`close, createConnectionConsumer, createSession, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

Method Detail

### setReconnectPolicy

    void setReconnectPolicy(String reconnectPolicy)
                            throws IllegalArgumentException

  Sets the JMS client reconnection policy after a lost network connection with a server or upon a server reboot.

  - `weblogic.jms.common.JMSConstants.RECONNECT_POLICY_NONE` -- Prevents reconnection attempts.
  - `weblogic.jms.common.JMSConstants.RECONNECT_POLICY_PRODUCER` -- Explicitly refreshes Producer objects and implicitly refreshes any related Session and Connection objects. However, this value does not refresh Consumers, QueueBrowsers, and Connections with a configured ClientID for a durable subscriber.
  - `weblogic.jms.common.JMSConstants.RECONNECT_POLICY_ALL` -- Explicitly refreshes all Consumer and Producer objects and implicitly refreshes any related Session and Connection objects. However, this value does not refresh QueueBrowsers and Connections with a configured ClientID for a durable subscriber.

  Throws:
    `IllegalArgumentException` - when the argument is not: weblogic.jms.common.JMSConstants.RECONNECT_POLICY_NONE weblogic.jms.common.JMSConstants.RECONNECT_POLICY_PRODUCER weblogic.jms.common.JMSConstants.RECONNECT_POLICY_ALL
  See Also:
    `JMSConstants.RECONNECT_POLICY_NONE`, `JMSConstants.RECONNECT_POLICY_PRODUCER`, `JMSConstants.RECONNECT_POLICY_ALL`, `WLMessage.getJMSRedeliveryLimit()`

### getReconnectPolicy

    String getReconnectPolicy()

  Gets the JMS client reconnection policy after a lost network connection with a server or upon a server reboot.

  Returns:
    The current reconnectPolicy.
  See Also:
    `WLConnection.setReconnectPolicy(java.lang.String)`

### setReconnectBlockingMillis

    void setReconnectBlockingMillis(long timeout)
                                    throws IllegalArgumentException

  Sets the maximum length of time that any synchronous JMS calls, such as a `producer.send()`, `consumer.receive()`, or `session.createBrowser()`, will block the calling thread before giving up on a JMS client reconnect in progress.

  Parameters:
    `timeout` - The number of milliseconds JMS operations will wait trying to reconnect to a disconnected server before throwing a JMSException.

    When the timeout is zero, the reconnect starts but this call does not block waiting for the reconnected objects.

    When the timeout is -1, the call blocks as long as reconnects are possible. For example, send() can block until close() is called, and send() will throw a JMSException.

  Throws:
    `IllegalArgumentExcaption` - is thrown when timeout is less than -1.
    `IllegalArgumentException`
  See Also:
    `WLConnection.getReconnectBlockingMillis()`

### getReconnectBlockingMillis

    long getReconnectBlockingMillis()

  Gets the maximum length of time that any synchronous JMS calls will block the calling thread before giving up on a JMS client reconnect in progress.

  Returns:
    The number of milliseconds JMS operations will wait trying to reconnect to a disconnected server before throwing a JMSException.
  See Also:
    `WLConnection.setReconnectBlockingMillis(long)`

### setTotalReconnectPeriodMillis

    void setTotalReconnectPeriodMillis(long timeout)
                                       throws IllegalArgumentException

  Sets the maximum length of time that JMS client operations will continue to try to reconnect to the server after either the initial network disconnect or the last synchronous call attempt, whichever occurred most recently, before giving up retrying.

  Parameters:
    `timeout` - The number of milliseconds that JMS reconnect timers will be permitted to reconnect a disconnected server.

    When the timeout is -1, there is no limit. Reconnection timers will always be scheduled until close() is called.

  Throws:
    `IllegalArgumentExcaption` - is thrown when timeout is less than -1.
    `IllegalArgumentException`
  See Also:
    `WLConnection.getTotalReconnectPeriodMillis()`

### getTotalReconnectPeriodMillis

    long getTotalReconnectPeriodMillis()

  Gets the maximum length of time that JMS client operations will continue to try to reconnect to the server.

  Returns:
    The number of milliseconds that JMS reconnect timers will be permitted to reconnect a disconnected server.
  See Also:
    `WLConnection.setTotalReconnectPeriodMillis(long)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD